NativeEnumerated.c vars NULL init and check
[com/asn1c.git] / tests / tests-randomized / Makefile
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # tests/tests-randomized/Makefile.  Generated from Makefile.in by configure.
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15
16
17 am__is_gnu_make = { \
18   if test -z '$(MAKELEVEL)'; then \
19     false; \
20   elif test -n '$(MAKE_HOST)'; then \
21     true; \
22   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23     true; \
24   else \
25     false; \
26   fi; \
27 }
28 am__make_running_with_option = \
29   case $${target_option-} in \
30       ?) ;; \
31       *) echo "am__make_running_with_option: internal error: invalid" \
32               "target option '$${target_option-}' specified" >&2; \
33          exit 1;; \
34   esac; \
35   has_opt=no; \
36   sane_makeflags=$$MAKEFLAGS; \
37   if $(am__is_gnu_make); then \
38     sane_makeflags=$$MFLAGS; \
39   else \
40     case $$MAKEFLAGS in \
41       *\\[\ \   ]*) \
42         bs=\\; \
43         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45     esac; \
46   fi; \
47   skip_next=no; \
48   strip_trailopt () \
49   { \
50     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51   }; \
52   for flg in $$sane_makeflags; do \
53     test $$skip_next = yes && { skip_next=no; continue; }; \
54     case $$flg in \
55       *=*|--*) continue;; \
56         -*I) strip_trailopt 'I'; skip_next=yes;; \
57       -*I?*) strip_trailopt 'I';; \
58         -*O) strip_trailopt 'O'; skip_next=yes;; \
59       -*O?*) strip_trailopt 'O';; \
60         -*l) strip_trailopt 'l'; skip_next=yes;; \
61       -*l?*) strip_trailopt 'l';; \
62       -[dEDm]) skip_next=yes;; \
63       -[JT]) skip_next=yes;; \
64     esac; \
65     case $$flg in \
66       *$$target_option*) has_opt=yes; break;; \
67     esac; \
68   done; \
69   test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/asn1c
73 pkgincludedir = $(includedir)/asn1c
74 pkglibdir = $(libdir)/asn1c
75 pkglibexecdir = $(libexecdir)/asn1c
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 build_triplet = x86_64-pc-linux-gnu
89 host_triplet = x86_64-pc-linux-gnu
90 check_PROGRAMS = test-param-helper$(EXEEXT)
91 subdir = tests/tests-randomized
92 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
93 am__aclocal_m4_deps =  \
94         $(top_srcdir)/m4/ax_check_compile_and_link_flag.m4 \
95         $(top_srcdir)/m4/ax_check_compile_flag.m4 \
96         $(top_srcdir)/m4/ax_code_coverage.m4 \
97         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
98         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
99         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
100 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
101         $(ACLOCAL_M4)
102 DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
103         $(am__DIST_COMMON)
104 mkinstalldirs = $(install_sh) -d
105 CONFIG_HEADER = $(top_builddir)/config.h
106 CONFIG_CLEAN_FILES =
107 CONFIG_CLEAN_VPATH_FILES =
108 test_param_helper_SOURCES = test-param-helper.c
109 test_param_helper_OBJECTS = test-param-helper.$(OBJEXT)
110 test_param_helper_LDADD = $(LDADD)
111 AM_V_lt = $(am__v_lt_$(V))
112 am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
113 am__v_lt_0 = --silent
114 am__v_lt_1 = 
115 AM_V_P = $(am__v_P_$(V))
116 am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
117 am__v_P_0 = false
118 am__v_P_1 = :
119 AM_V_GEN = $(am__v_GEN_$(V))
120 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
121 am__v_GEN_0 = @echo "  GEN     " $@;
122 am__v_GEN_1 = 
123 AM_V_at = $(am__v_at_$(V))
124 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
125 am__v_at_0 = @
126 am__v_at_1 = 
127 DEFAULT_INCLUDES = -I. -I$(top_builddir)
128 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
129 am__depfiles_maybe = depfiles
130 am__mv = mv -f
131 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
132         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
133 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
134         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
135         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
136         $(AM_CFLAGS) $(CFLAGS)
137 AM_V_CC = $(am__v_CC_$(V))
138 am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
139 am__v_CC_0 = @echo "  CC      " $@;
140 am__v_CC_1 = 
141 CCLD = $(CC)
142 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
143         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
144         $(AM_LDFLAGS) $(LDFLAGS) -o $@
145 AM_V_CCLD = $(am__v_CCLD_$(V))
146 am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
147 am__v_CCLD_0 = @echo "  CCLD    " $@;
148 am__v_CCLD_1 = 
149 SOURCES = test-param-helper.c
150 DIST_SOURCES = test-param-helper.c
151 am__can_run_installinfo = \
152   case $$AM_UPDATE_INFO_DIR in \
153     n|no|NO) false;; \
154     *) (install-info --version) >/dev/null 2>&1;; \
155   esac
156 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
157 # Read a list of newline-separated strings from the standard input,
158 # and print each of them once, without duplicates.  Input order is
159 # *not* preserved.
160 am__uniquify_input = $(AWK) '\
161   BEGIN { nonempty = 0; } \
162   { items[$$0] = 1; nonempty = 1; } \
163   END { if (nonempty) { for (i in items) print i; }; } \
164 '
165 # Make sure the list of sources is unique.  This is necessary because,
166 # e.g., the same source file might be shared among _SOURCES variables
167 # for different programs/libraries.
168 am__define_uniq_tagged_files = \
169   list='$(am__tagged_files)'; \
170   unique=`for i in $$list; do \
171     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
172   done | $(am__uniquify_input)`
173 ETAGS = etags
174 CTAGS = ctags
175 am__tty_colors_dummy = \
176   mgn= red= grn= lgn= blu= brg= std=; \
177   am__color_tests=no
178 am__tty_colors = { \
179   $(am__tty_colors_dummy); \
180   if test "X$(AM_COLOR_TESTS)" = Xno; then \
181     am__color_tests=no; \
182   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
183     am__color_tests=yes; \
184   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
185     am__color_tests=yes; \
186   fi; \
187   if test $$am__color_tests = yes; then \
188     red='\e[0;31m'; \
189     grn='\e[0;32m'; \
190     lgn='\e[1;32m'; \
191     blu='\e[1;34m'; \
192     mgn='\e[0;35m'; \
193     brg='\e[1m'; \
194     std='\e[m'; \
195   fi; \
196 }
197 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
198 am__vpath_adj = case $$p in \
199     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
200     *) f=$$p;; \
201   esac;
202 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
203 am__install_max = 40
204 am__nobase_strip_setup = \
205   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
206 am__nobase_strip = \
207   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
208 am__nobase_list = $(am__nobase_strip_setup); \
209   for p in $$list; do echo "$$p $$p"; done | \
210   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
211   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
212     if (++n[$$2] == $(am__install_max)) \
213       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
214     END { for (dir in files) print dir, files[dir] }'
215 am__base_list = \
216   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
217   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
218 am__uninstall_files_from_dir = { \
219   test -z "$$files" \
220     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
221     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
222          $(am__cd) "$$dir" && rm -f $$files; }; \
223   }
224 am__recheck_rx = ^[     ]*:recheck:[    ]*
225 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
226 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
227 # A command that, given a newline-separated list of test names on the
228 # standard input, print the name of the tests that are to be re-run
229 # upon "make recheck".
230 am__list_recheck_tests = $(AWK) '{ \
231   recheck = 1; \
232   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
233     { \
234       if (rc < 0) \
235         { \
236           if ((getline line2 < ($$0 ".log")) < 0) \
237             recheck = 0; \
238           break; \
239         } \
240       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
241         { \
242           recheck = 0; \
243           break; \
244         } \
245       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
246         { \
247           break; \
248         } \
249     }; \
250   if (recheck) \
251     print $$0; \
252   close ($$0 ".trs"); \
253   close ($$0 ".log"); \
254 }'
255 # A command that, given a newline-separated list of test names on the
256 # standard input, create the global log from their .trs and .log files.
257 am__create_global_log = $(AWK) ' \
258 function fatal(msg) \
259 { \
260   print "fatal: making $@: " msg | "cat >&2"; \
261   exit 1; \
262 } \
263 function rst_section(header) \
264 { \
265   print header; \
266   len = length(header); \
267   for (i = 1; i <= len; i = i + 1) \
268     printf "="; \
269   printf "\n\n"; \
270 } \
271 { \
272   copy_in_global_log = 1; \
273   global_test_result = "RUN"; \
274   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
275     { \
276       if (rc < 0) \
277          fatal("failed to read from " $$0 ".trs"); \
278       if (line ~ /$(am__global_test_result_rx)/) \
279         { \
280           sub("$(am__global_test_result_rx)", "", line); \
281           sub("[        ]*$$", "", line); \
282           global_test_result = line; \
283         } \
284       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
285         copy_in_global_log = 0; \
286     }; \
287   if (copy_in_global_log) \
288     { \
289       rst_section(global_test_result ": " $$0); \
290       while ((rc = (getline line < ($$0 ".log"))) != 0) \
291       { \
292         if (rc < 0) \
293           fatal("failed to read from " $$0 ".log"); \
294         print line; \
295       }; \
296       printf "\n"; \
297     }; \
298   close ($$0 ".trs"); \
299   close ($$0 ".log"); \
300 }'
301 # Restructured Text title.
302 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
303 # Solaris 10 'make', and several other traditional 'make' implementations,
304 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
305 # by disabling -e (using the XSI extension "set +e") if it's set.
306 am__sh_e_setup = case $$- in *e*) set +e;; esac
307 # Default flags passed to test drivers.
308 am__common_driver_flags = \
309   --color-tests "$$am__color_tests" \
310   --enable-hard-errors "$$am__enable_hard_errors" \
311   --expect-failure "$$am__expect_failure"
312 # To be inserted before the command running the test.  Creates the
313 # directory for the log if needed.  Stores in $dir the directory
314 # containing $f, in $tst the test, in $log the log.  Executes the
315 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
316 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
317 # will run the test scripts (or their associated LOG_COMPILER, if
318 # thy have one).
319 am__check_pre = \
320 $(am__sh_e_setup);                                      \
321 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
322 $(am__tty_colors);                                      \
323 srcdir=$(srcdir); export srcdir;                        \
324 case "$@" in                                            \
325   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
326     *) am__odir=.;;                                     \
327 esac;                                                   \
328 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
329   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
330 if test -f "./$$f"; then dir=./;                        \
331 elif test -f "$$f"; then dir=;                          \
332 else dir="$(srcdir)/"; fi;                              \
333 tst=$$dir$$f; log='$@';                                 \
334 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
335   am__enable_hard_errors=no;                            \
336 else                                                    \
337   am__enable_hard_errors=yes;                           \
338 fi;                                                     \
339 case " $(XFAIL_TESTS) " in                              \
340   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
341     am__expect_failure=yes;;                            \
342   *)                                                    \
343     am__expect_failure=no;;                             \
344 esac;                                                   \
345 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
346 # A shell command to get the names of the tests scripts with any registered
347 # extension removed (i.e., equivalently, the names of the test logs, with
348 # the '.log' extension removed).  The result is saved in the shell variable
349 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
350 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
351 # since that might cause problem with VPATH rewrites for suffix-less tests.
352 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
353 am__set_TESTS_bases = \
354   bases='$(TEST_LOGS)'; \
355   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
356   bases=`echo $$bases`
357 RECHECK_LOGS = $(TEST_LOGS)
358 AM_RECURSIVE_TARGETS = check recheck
359 TEST_SUITE_LOG = test-suite.log
360 TEST_EXTENSIONS =  .test
361 LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
362 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
363 am__set_b = \
364   case '$@' in \
365     */*) \
366       case '$*' in \
367         */*) b='$*';; \
368           *) b=`echo '$@' | sed 's/\.log$$//'`; \
369        esac;; \
370     *) \
371       b='$*';; \
372   esac
373 am__test_logs1 = $(TESTS:=.log)
374 am__test_logs2 = $(am__test_logs1:.log=.log)
375 TEST_LOGS = $(am__test_logs2:.test.log=.log)
376 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
377 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
378         $(TEST_LOG_FLAGS)
379 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp \
380         $(top_srcdir)/config/test-driver
381 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
382 ACLOCAL = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing aclocal-1.15
383 ADD_CFLAGS = 
384 AMTAR = $${TAR-tar}
385 AM_DEFAULT_VERBOSITY = 0
386 AR = ar
387 ASAN_ENV_FLAGS =  ASAN_OPTIONS=detect_leaks=1
388 AUTOCONF = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing autoconf
389 AUTOHEADER = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing autoheader
390 AUTOMAKE = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing automake-1.15
391 AWK = gawk
392 CC = gcc
393 CCDEPMODE = depmode=gcc3
394
395 #Filter out the coverage options from CFLAGS as we don't need
396 #code coverage data for the tests executables
397 CFLAGS = $(filter-out $(CODE_COVERAGE_CFLAGS), -g -O2 -Wall -Wcast-qual -Wchar-subscripts -Wmissing-prototypes -Wmissing-declarations -Wno-error=attributes -Wno-error=cast-align -std=gnu99)
398 CFLAGS_M32 = 
399 CODE_COVERAGE_CFLAGS = 
400 CODE_COVERAGE_CPPFLAGS = 
401 CODE_COVERAGE_CXXFLAGS = 
402 CODE_COVERAGE_ENABLED = no
403 CODE_COVERAGE_LDFLAGS = 
404 CODE_COVERAGE_LIBS = 
405 CPP = gcc -E
406 CPPFLAGS = 
407 CXX = g++
408 CXXCPP = g++ -E
409 CXXDEPMODE = depmode=gcc3
410 CXXFLAGS = -std=c++11
411 CYGPATH_W = echo
412 DEFS = -DHAVE_CONFIG_H
413 DEPDIR = .deps
414 DLLTOOL = false
415 DSYMUTIL = 
416 DUMPBIN = 
417 ECHO_C = 
418 ECHO_N = -n
419 ECHO_T = 
420 EGREP = /bin/grep -E
421 EXEEXT = 
422 FGREP = /bin/grep -F
423 GCOV = 
424 GENHTML = 
425 GREP = /bin/grep
426 INSTALL = /usr/bin/install -c
427 INSTALL_DATA = ${INSTALL} -m 644
428 INSTALL_PROGRAM = ${INSTALL}
429 INSTALL_SCRIPT = ${INSTALL}
430 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
431 LCOV = 
432 LD = /usr/bin/ld -m elf_x86_64
433 LDFLAGS = 
434 LEX = flex
435 LEXLIB = -lfl
436 LEX_OUTPUT_ROOT = lex.yy
437 LIBFUZZER_CFLAGS = 
438 LIBOBJS = 
439 LIBS = 
440 LIBTOOL = $(SHELL) $(top_builddir)/libtool
441 LIPO = 
442 LN_S = ln -s
443 LTLIBOBJS = 
444 LT_SYS_LIBRARY_PATH = 
445 MAKEINFO = ${SHELL} /home/nokia/mouse07410/asn1c/config/missing makeinfo
446 MANIFEST_TOOL = :
447 MKDIR_P = /bin/mkdir -p
448 NM = /usr/bin/nm -B
449 NMEDIT = 
450 OBJDUMP = objdump
451 OBJEXT = o
452 OTOOL = 
453 OTOOL64 = 
454 PACKAGE = asn1c
455 PACKAGE_BUGREPORT = vlm@lionet.info
456 PACKAGE_NAME = asn1c
457 PACKAGE_STRING = asn1c 0.9.29
458 PACKAGE_TARNAME = asn1c
459 PACKAGE_URL = 
460 PACKAGE_VERSION = 0.9.29
461 PANDOC = 
462 PATH_SEPARATOR = :
463 RANLIB = ranlib
464 SANITIZER_CFLAGS =  -fsanitize=undefined -fno-sanitize-recover=undefined -fno-omit-frame-pointer -fsanitize=address -fno-omit-frame-pointer
465 SED = /bin/sed
466 SET_MAKE = 
467 SHELL = /bin/bash
468 SKELETONS_CFLAGS =   -std=c89 -Wpedantic -Wno-long-long  -fsanitize=undefined -fno-sanitize-recover=undefined -fno-omit-frame-pointer -fsanitize=address -fno-omit-frame-pointer
469 STRIP = strip
470 TESTSUITE_CFLAGS =  -std=gnu99 -Wno-error=unused-variable  -fsanitize=undefined -fno-sanitize-recover=undefined -fno-omit-frame-pointer -fsanitize=address -fno-omit-frame-pointer
471 VERSION = 0.9.29
472 YACC = bison -y
473 YFLAGS = 
474 abs_builddir = /home/nokia/mouse07410/asn1c/tests/tests-randomized
475 abs_srcdir = /home/nokia/mouse07410/asn1c/tests/tests-randomized
476 abs_top_builddir = /home/nokia/mouse07410/asn1c
477 abs_top_srcdir = /home/nokia/mouse07410/asn1c
478 ac_ct_AR = ar
479 ac_ct_CC = gcc
480 ac_ct_CXX = g++
481 ac_ct_DUMPBIN = 
482 am__include = include
483 am__leading_dot = .
484 am__quote = 
485 am__tar = $${TAR-tar} chof - "$$tardir"
486 am__untar = $${TAR-tar} xf -
487 bindir = ${exec_prefix}/bin
488 build = x86_64-pc-linux-gnu
489 build_alias = 
490 build_cpu = x86_64
491 build_os = linux-gnu
492 build_vendor = pc
493 builddir = .
494 datadir = ${datarootdir}
495 datarootdir = ${prefix}/share
496 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
497 dvidir = ${docdir}
498 exec_prefix = ${prefix}
499 host = x86_64-pc-linux-gnu
500 host_alias = 
501 host_cpu = x86_64
502 host_os = linux-gnu
503 host_vendor = pc
504 htmldir = ${docdir}
505 includedir = ${prefix}/include
506 infodir = ${datarootdir}/info
507 install_sh = ${SHELL} /home/nokia/mouse07410/asn1c/config/install-sh
508 libdir = ${exec_prefix}/lib
509 libexecdir = ${exec_prefix}/libexec
510 localedir = ${datarootdir}/locale
511 localstatedir = ${prefix}/var
512 mandir = ${datarootdir}/man
513 mkdir_p = $(MKDIR_P)
514 oldincludedir = /usr/include
515 pdfdir = ${docdir}
516 prefix = /usr/local
517 program_transform_name = s,x,x,
518 psdir = ${docdir}
519 runstatedir = ${localstatedir}/run
520 sbindir = ${exec_prefix}/sbin
521 sharedstatedir = ${prefix}/com
522 srcdir = .
523 sysconfdir = ${prefix}/etc
524 target_alias = 
525 top_build_prefix = ../../
526 top_builddir = ../..
527 top_srcdir = ../..
528 dist_check_SCRIPTS = check-bundles.sh
529
530 # Override single test fuzzing time using "make check FUZZ_TIME=1"
531 FUZZ_TIME = 10
532 TESTS_ENVIRONMENT = \
533     CC="${CC}"                              \
534     MAKE="${MAKE}"                          \
535     CFLAGS="${TESTSUITE_CFLAGS} ${CFLAGS}"  \
536     CFLAGS_M32="${CFLAGS_M32}"              \
537     LDFLAGS="${LDFLAGS}"                    \
538     LIBFUZZER_CFLAGS="${LIBFUZZER_CFLAGS}"  \
539     FUZZ_TIME="${FUZZ_TIME}"                \
540     ASAN_ENV_FLAGS=" ASAN_OPTIONS=detect_leaks=1"       \
541     srcdir=${srcdir}                        \
542     abs_builddir=${abs_builddir}            \
543     abs_top_srcdir=${abs_top_srcdir}        \
544     abs_top_builddir=${abs_top_builddir}    \
545     ${srcdir}/check-bundles.sh
546
547 TESTS = bundles/00-NULL-bundle.txt bundles/01-BOOLEAN-bundle.txt \
548         bundles/02-INTEGER-bundle.txt bundles/03-ENUMERATED-bundle.txt \
549         bundles/04-REAL-bundle.txt bundles/05-BIT-STRING-bundle.txt \
550         bundles/06-OCTET-STRING-bundle.txt \
551         bundles/07-VisibleString-bundle.txt \
552         bundles/08-OBJECT-IDENTIFIER-bundle.txt \
553         bundles/09-RELATIVE-OID-bundle.txt \
554         bundles/10-UTF8String-bundle.txt \
555         bundles/11-BMPString-bundle.txt \
556         bundles/12-UniversalString-bundle.txt \
557         bundles/13-UTCTime-bundle.txt \
558         bundles/14-GeneralizedTime-bundle.txt \
559         bundles/15-CHOICE-bundle.txt bundles/16-SEQUENCE-bundle.txt \
560         bundles/17-SEQUENCE-OF-bundle.txt bundles/19-SET-OF-bundle.txt
561 EXTRA_DIST = \
562     random-test-driver.c        \
563     $(srcdir)/bundles/README    \
564     $(srcdir)/bundles/*.txt
565
566 all: all-am
567
568 .SUFFIXES:
569 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
570 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
571         @for dep in $?; do \
572           case '$(am__configure_deps)' in \
573             *$$dep*) \
574               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
575                 && { if test -f $@; then exit 0; else break; fi; }; \
576               exit 1;; \
577           esac; \
578         done; \
579         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/tests-randomized/Makefile'; \
580         $(am__cd) $(top_srcdir) && \
581           $(AUTOMAKE) --foreign tests/tests-randomized/Makefile
582 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
583         @case '$?' in \
584           *config.status*) \
585             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
586           *) \
587             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
588             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
589         esac;
590
591 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
592         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
593
594 $(top_srcdir)/configure:  $(am__configure_deps)
595         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
596 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
597         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
598 $(am__aclocal_m4_deps):
599
600 clean-checkPROGRAMS:
601         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
602         echo " rm -f" $$list; \
603         rm -f $$list || exit $$?; \
604         test -n "$(EXEEXT)" || exit 0; \
605         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
606         echo " rm -f" $$list; \
607         rm -f $$list
608
609 test-param-helper$(EXEEXT): $(test_param_helper_OBJECTS) $(test_param_helper_DEPENDENCIES) $(EXTRA_test_param_helper_DEPENDENCIES) 
610         @rm -f test-param-helper$(EXEEXT)
611         $(AM_V_CCLD)$(LINK) $(test_param_helper_OBJECTS) $(test_param_helper_LDADD) $(LIBS)
612
613 mostlyclean-compile:
614         -rm -f *.$(OBJEXT)
615
616 distclean-compile:
617         -rm -f *.tab.c
618
619 include ./$(DEPDIR)/test-param-helper.Po
620
621 .c.o:
622         $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
623         $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
624 #       $(AM_V_CC)source='$<' object='$@' libtool=no \
625 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
626 #       $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
627
628 .c.obj:
629         $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
630         $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
631 #       $(AM_V_CC)source='$<' object='$@' libtool=no \
632 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
633 #       $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
634
635 .c.lo:
636         $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
637         $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
638 #       $(AM_V_CC)source='$<' object='$@' libtool=yes \
639 #       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
640 #       $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
641
642 mostlyclean-libtool:
643         -rm -f *.lo
644
645 clean-libtool:
646         -rm -rf .libs _libs
647
648 ID: $(am__tagged_files)
649         $(am__define_uniq_tagged_files); mkid -fID $$unique
650 tags: tags-am
651 TAGS: tags
652
653 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
654         set x; \
655         here=`pwd`; \
656         $(am__define_uniq_tagged_files); \
657         shift; \
658         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
659           test -n "$$unique" || unique=$$empty_fix; \
660           if test $$# -gt 0; then \
661             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
662               "$$@" $$unique; \
663           else \
664             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
665               $$unique; \
666           fi; \
667         fi
668 ctags: ctags-am
669
670 CTAGS: ctags
671 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
672         $(am__define_uniq_tagged_files); \
673         test -z "$(CTAGS_ARGS)$$unique" \
674           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
675              $$unique
676
677 GTAGS:
678         here=`$(am__cd) $(top_builddir) && pwd` \
679           && $(am__cd) $(top_srcdir) \
680           && gtags -i $(GTAGS_ARGS) "$$here"
681 cscopelist: cscopelist-am
682
683 cscopelist-am: $(am__tagged_files)
684         list='$(am__tagged_files)'; \
685         case "$(srcdir)" in \
686           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
687           *) sdir=$(subdir)/$(srcdir) ;; \
688         esac; \
689         for i in $$list; do \
690           if test -f "$$i"; then \
691             echo "$(subdir)/$$i"; \
692           else \
693             echo "$$sdir/$$i"; \
694           fi; \
695         done >> $(top_builddir)/cscope.files
696
697 distclean-tags:
698         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
699
700 # Recover from deleted '.trs' file; this should ensure that
701 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
702 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
703 # to avoid problems with "make -n".
704 .log.trs:
705         rm -f $< $@
706         $(MAKE) $(AM_MAKEFLAGS) $<
707
708 # Leading 'am--fnord' is there to ensure the list of targets does not
709 # expand to empty, as could happen e.g. with make check TESTS=''.
710 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
711 am--force-recheck:
712         @:
713
714 $(TEST_SUITE_LOG): $(TEST_LOGS)
715         @$(am__set_TESTS_bases); \
716         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
717         redo_bases=`for i in $$bases; do \
718                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
719                     done`; \
720         if test -n "$$redo_bases"; then \
721           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
722           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
723           if $(am__make_dryrun); then :; else \
724             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
725           fi; \
726         fi; \
727         if test -n "$$am__remaking_logs"; then \
728           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
729                "recursion detected" >&2; \
730         elif test -n "$$redo_logs"; then \
731           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
732         fi; \
733         if $(am__make_dryrun); then :; else \
734           st=0;  \
735           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
736           for i in $$redo_bases; do \
737             test -f $$i.trs && test -r $$i.trs \
738               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
739             test -f $$i.log && test -r $$i.log \
740               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
741           done; \
742           test $$st -eq 0 || exit 1; \
743         fi
744         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
745         ws='[   ]'; \
746         results=`for b in $$bases; do echo $$b.trs; done`; \
747         test -n "$$results" || results=/dev/null; \
748         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
749         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
750         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
751         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
752         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
753         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
754         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
755         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
756           success=true; \
757         else \
758           success=false; \
759         fi; \
760         br='==================='; br=$$br$$br$$br$$br; \
761         result_count () \
762         { \
763             if test x"$$1" = x"--maybe-color"; then \
764               maybe_colorize=yes; \
765             elif test x"$$1" = x"--no-color"; then \
766               maybe_colorize=no; \
767             else \
768               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
769             fi; \
770             shift; \
771             desc=$$1 count=$$2; \
772             if test $$maybe_colorize = yes && test $$count -gt 0; then \
773               color_start=$$3 color_end=$$std; \
774             else \
775               color_start= color_end=; \
776             fi; \
777             echo "$${color_start}# $$desc $$count$${color_end}"; \
778         }; \
779         create_testsuite_report () \
780         { \
781           result_count $$1 "TOTAL:" $$all   "$$brg"; \
782           result_count $$1 "PASS: " $$pass  "$$grn"; \
783           result_count $$1 "SKIP: " $$skip  "$$blu"; \
784           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
785           result_count $$1 "FAIL: " $$fail  "$$red"; \
786           result_count $$1 "XPASS:" $$xpass "$$red"; \
787           result_count $$1 "ERROR:" $$error "$$mgn"; \
788         }; \
789         {                                                               \
790           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
791             $(am__rst_title);                                           \
792           create_testsuite_report --no-color;                           \
793           echo;                                                         \
794           echo ".. contents:: :depth: 2";                               \
795           echo;                                                         \
796           for b in $$bases; do echo $$b; done                           \
797             | $(am__create_global_log);                                 \
798         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
799         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
800         if $$success; then                                              \
801           col="$$grn";                                                  \
802          else                                                           \
803           col="$$red";                                                  \
804           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
805         fi;                                                             \
806         echo "$${col}$$br$${std}";                                      \
807         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
808         echo "$${col}$$br$${std}";                                      \
809         create_testsuite_report --maybe-color;                          \
810         echo "$$col$$br$$std";                                          \
811         if $$success; then :; else                                      \
812           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
813           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
814             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
815           fi;                                                           \
816           echo "$$col$$br$$std";                                        \
817         fi;                                                             \
818         $$success || exit 1
819
820 check-TESTS:
821         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
822         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
823         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
824         @set +e; $(am__set_TESTS_bases); \
825         log_list=`for i in $$bases; do echo $$i.log; done`; \
826         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
827         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
828         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
829         exit $$?;
830 recheck: all $(check_PROGRAMS) $(dist_check_SCRIPTS)
831         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
832         @set +e; $(am__set_TESTS_bases); \
833         bases=`for i in $$bases; do echo $$i; done \
834                  | $(am__list_recheck_tests)` || exit 1; \
835         log_list=`for i in $$bases; do echo $$i.log; done`; \
836         log_list=`echo $$log_list`; \
837         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
838                 am__force_recheck=am--force-recheck \
839                 TEST_LOGS="$$log_list"; \
840         exit $$?
841 bundles/00-NULL-bundle.txt.log: bundles/00-NULL-bundle.txt
842         @p='bundles/00-NULL-bundle.txt'; \
843         b='bundles/00-NULL-bundle.txt'; \
844         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
845         --log-file $$b.log --trs-file $$b.trs \
846         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
847         "$$tst" $(AM_TESTS_FD_REDIRECT)
848 bundles/01-BOOLEAN-bundle.txt.log: bundles/01-BOOLEAN-bundle.txt
849         @p='bundles/01-BOOLEAN-bundle.txt'; \
850         b='bundles/01-BOOLEAN-bundle.txt'; \
851         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
852         --log-file $$b.log --trs-file $$b.trs \
853         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
854         "$$tst" $(AM_TESTS_FD_REDIRECT)
855 bundles/02-INTEGER-bundle.txt.log: bundles/02-INTEGER-bundle.txt
856         @p='bundles/02-INTEGER-bundle.txt'; \
857         b='bundles/02-INTEGER-bundle.txt'; \
858         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
859         --log-file $$b.log --trs-file $$b.trs \
860         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
861         "$$tst" $(AM_TESTS_FD_REDIRECT)
862 bundles/03-ENUMERATED-bundle.txt.log: bundles/03-ENUMERATED-bundle.txt
863         @p='bundles/03-ENUMERATED-bundle.txt'; \
864         b='bundles/03-ENUMERATED-bundle.txt'; \
865         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
866         --log-file $$b.log --trs-file $$b.trs \
867         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
868         "$$tst" $(AM_TESTS_FD_REDIRECT)
869 bundles/04-REAL-bundle.txt.log: bundles/04-REAL-bundle.txt
870         @p='bundles/04-REAL-bundle.txt'; \
871         b='bundles/04-REAL-bundle.txt'; \
872         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
873         --log-file $$b.log --trs-file $$b.trs \
874         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
875         "$$tst" $(AM_TESTS_FD_REDIRECT)
876 bundles/05-BIT-STRING-bundle.txt.log: bundles/05-BIT-STRING-bundle.txt
877         @p='bundles/05-BIT-STRING-bundle.txt'; \
878         b='bundles/05-BIT-STRING-bundle.txt'; \
879         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
880         --log-file $$b.log --trs-file $$b.trs \
881         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
882         "$$tst" $(AM_TESTS_FD_REDIRECT)
883 bundles/06-OCTET-STRING-bundle.txt.log: bundles/06-OCTET-STRING-bundle.txt
884         @p='bundles/06-OCTET-STRING-bundle.txt'; \
885         b='bundles/06-OCTET-STRING-bundle.txt'; \
886         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
887         --log-file $$b.log --trs-file $$b.trs \
888         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
889         "$$tst" $(AM_TESTS_FD_REDIRECT)
890 bundles/07-VisibleString-bundle.txt.log: bundles/07-VisibleString-bundle.txt
891         @p='bundles/07-VisibleString-bundle.txt'; \
892         b='bundles/07-VisibleString-bundle.txt'; \
893         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
894         --log-file $$b.log --trs-file $$b.trs \
895         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
896         "$$tst" $(AM_TESTS_FD_REDIRECT)
897 bundles/08-OBJECT-IDENTIFIER-bundle.txt.log: bundles/08-OBJECT-IDENTIFIER-bundle.txt
898         @p='bundles/08-OBJECT-IDENTIFIER-bundle.txt'; \
899         b='bundles/08-OBJECT-IDENTIFIER-bundle.txt'; \
900         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
901         --log-file $$b.log --trs-file $$b.trs \
902         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
903         "$$tst" $(AM_TESTS_FD_REDIRECT)
904 bundles/09-RELATIVE-OID-bundle.txt.log: bundles/09-RELATIVE-OID-bundle.txt
905         @p='bundles/09-RELATIVE-OID-bundle.txt'; \
906         b='bundles/09-RELATIVE-OID-bundle.txt'; \
907         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
908         --log-file $$b.log --trs-file $$b.trs \
909         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
910         "$$tst" $(AM_TESTS_FD_REDIRECT)
911 bundles/10-UTF8String-bundle.txt.log: bundles/10-UTF8String-bundle.txt
912         @p='bundles/10-UTF8String-bundle.txt'; \
913         b='bundles/10-UTF8String-bundle.txt'; \
914         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
915         --log-file $$b.log --trs-file $$b.trs \
916         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
917         "$$tst" $(AM_TESTS_FD_REDIRECT)
918 bundles/11-BMPString-bundle.txt.log: bundles/11-BMPString-bundle.txt
919         @p='bundles/11-BMPString-bundle.txt'; \
920         b='bundles/11-BMPString-bundle.txt'; \
921         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
922         --log-file $$b.log --trs-file $$b.trs \
923         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
924         "$$tst" $(AM_TESTS_FD_REDIRECT)
925 bundles/12-UniversalString-bundle.txt.log: bundles/12-UniversalString-bundle.txt
926         @p='bundles/12-UniversalString-bundle.txt'; \
927         b='bundles/12-UniversalString-bundle.txt'; \
928         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
929         --log-file $$b.log --trs-file $$b.trs \
930         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
931         "$$tst" $(AM_TESTS_FD_REDIRECT)
932 bundles/13-UTCTime-bundle.txt.log: bundles/13-UTCTime-bundle.txt
933         @p='bundles/13-UTCTime-bundle.txt'; \
934         b='bundles/13-UTCTime-bundle.txt'; \
935         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
936         --log-file $$b.log --trs-file $$b.trs \
937         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
938         "$$tst" $(AM_TESTS_FD_REDIRECT)
939 bundles/14-GeneralizedTime-bundle.txt.log: bundles/14-GeneralizedTime-bundle.txt
940         @p='bundles/14-GeneralizedTime-bundle.txt'; \
941         b='bundles/14-GeneralizedTime-bundle.txt'; \
942         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
943         --log-file $$b.log --trs-file $$b.trs \
944         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
945         "$$tst" $(AM_TESTS_FD_REDIRECT)
946 bundles/15-CHOICE-bundle.txt.log: bundles/15-CHOICE-bundle.txt
947         @p='bundles/15-CHOICE-bundle.txt'; \
948         b='bundles/15-CHOICE-bundle.txt'; \
949         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
950         --log-file $$b.log --trs-file $$b.trs \
951         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
952         "$$tst" $(AM_TESTS_FD_REDIRECT)
953 bundles/16-SEQUENCE-bundle.txt.log: bundles/16-SEQUENCE-bundle.txt
954         @p='bundles/16-SEQUENCE-bundle.txt'; \
955         b='bundles/16-SEQUENCE-bundle.txt'; \
956         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
957         --log-file $$b.log --trs-file $$b.trs \
958         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
959         "$$tst" $(AM_TESTS_FD_REDIRECT)
960 bundles/17-SEQUENCE-OF-bundle.txt.log: bundles/17-SEQUENCE-OF-bundle.txt
961         @p='bundles/17-SEQUENCE-OF-bundle.txt'; \
962         b='bundles/17-SEQUENCE-OF-bundle.txt'; \
963         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
964         --log-file $$b.log --trs-file $$b.trs \
965         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
966         "$$tst" $(AM_TESTS_FD_REDIRECT)
967 bundles/19-SET-OF-bundle.txt.log: bundles/19-SET-OF-bundle.txt
968         @p='bundles/19-SET-OF-bundle.txt'; \
969         b='bundles/19-SET-OF-bundle.txt'; \
970         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
971         --log-file $$b.log --trs-file $$b.trs \
972         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
973         "$$tst" $(AM_TESTS_FD_REDIRECT)
974 .test.log:
975         @p='$<'; \
976         $(am__set_b); \
977         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
978         --log-file $$b.log --trs-file $$b.trs \
979         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
980         "$$tst" $(AM_TESTS_FD_REDIRECT)
981 #.test$(EXEEXT).log:
982 #       @p='$<'; \
983 #       $(am__set_b); \
984 #       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
985 #       --log-file $$b.log --trs-file $$b.trs \
986 #       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
987 #       "$$tst" $(AM_TESTS_FD_REDIRECT)
988
989 distdir: $(DISTFILES)
990         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
991         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
992         list='$(DISTFILES)'; \
993           dist_files=`for file in $$list; do echo $$file; done | \
994           sed -e "s|^$$srcdirstrip/||;t" \
995               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
996         case $$dist_files in \
997           */*) $(MKDIR_P) `echo "$$dist_files" | \
998                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
999                            sort -u` ;; \
1000         esac; \
1001         for file in $$dist_files; do \
1002           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1003           if test -d $$d/$$file; then \
1004             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1005             if test -d "$(distdir)/$$file"; then \
1006               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1007             fi; \
1008             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1009               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1010               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1011             fi; \
1012             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1013           else \
1014             test -f "$(distdir)/$$file" \
1015             || cp -p $$d/$$file "$(distdir)/$$file" \
1016             || exit 1; \
1017           fi; \
1018         done
1019 check-am: all-am
1020         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) \
1021           $(dist_check_SCRIPTS)
1022         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1023 check: check-am
1024 all-am: Makefile
1025 installdirs:
1026 install: install-am
1027 install-exec: install-exec-am
1028 install-data: install-data-am
1029 uninstall: uninstall-am
1030
1031 install-am: all-am
1032         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1033
1034 installcheck: installcheck-am
1035 install-strip:
1036         if test -z '$(STRIP)'; then \
1037           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1038             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1039               install; \
1040         else \
1041           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1042             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1043             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1044         fi
1045 mostlyclean-generic:
1046         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1047         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1048         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1049
1050 clean-generic:
1051
1052 distclean-generic:
1053         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1054         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1055
1056 maintainer-clean-generic:
1057         @echo "This command is intended for maintainers to use"
1058         @echo "it deletes files that may require special tools to rebuild."
1059 clean: clean-am
1060
1061 clean-am: clean-checkPROGRAMS clean-generic clean-libtool clean-local \
1062         mostlyclean-am
1063
1064 distclean: distclean-am
1065         -rm -rf ./$(DEPDIR)
1066         -rm -f Makefile
1067 distclean-am: clean-am distclean-compile distclean-generic \
1068         distclean-tags
1069
1070 dvi: dvi-am
1071
1072 dvi-am:
1073
1074 html: html-am
1075
1076 html-am:
1077
1078 info: info-am
1079
1080 info-am:
1081
1082 install-data-am:
1083
1084 install-dvi: install-dvi-am
1085
1086 install-dvi-am:
1087
1088 install-exec-am:
1089
1090 install-html: install-html-am
1091
1092 install-html-am:
1093
1094 install-info: install-info-am
1095
1096 install-info-am:
1097
1098 install-man:
1099
1100 install-pdf: install-pdf-am
1101
1102 install-pdf-am:
1103
1104 install-ps: install-ps-am
1105
1106 install-ps-am:
1107
1108 installcheck-am:
1109
1110 maintainer-clean: maintainer-clean-am
1111         -rm -rf ./$(DEPDIR)
1112         -rm -f Makefile
1113 maintainer-clean-am: distclean-am maintainer-clean-generic
1114
1115 mostlyclean: mostlyclean-am
1116
1117 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1118         mostlyclean-libtool
1119
1120 pdf: pdf-am
1121
1122 pdf-am:
1123
1124 ps: ps-am
1125
1126 ps-am:
1127
1128 uninstall-am:
1129
1130 .MAKE: check-am install-am install-strip
1131
1132 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1133         clean-checkPROGRAMS clean-generic clean-libtool clean-local \
1134         cscopelist-am ctags ctags-am distclean distclean-compile \
1135         distclean-generic distclean-libtool distclean-tags distdir dvi \
1136         dvi-am html html-am info info-am install install-am \
1137         install-data install-data-am install-dvi install-dvi-am \
1138         install-exec install-exec-am install-html install-html-am \
1139         install-info install-info-am install-man install-pdf \
1140         install-pdf-am install-ps install-ps-am install-strip \
1141         installcheck installcheck-am installdirs maintainer-clean \
1142         maintainer-clean-generic mostlyclean mostlyclean-compile \
1143         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1144         recheck tags tags-am uninstall uninstall-am
1145
1146 .PRECIOUS: Makefile
1147
1148
1149 # Code coverage
1150 #
1151 # Optional:
1152 #  - CODE_COVERAGE_DIRECTORY: Top-level directory for code coverage reporting.
1153 #    Multiple directories may be specified, separated by whitespace.
1154 #    (Default: $(top_builddir))
1155 #  - CODE_COVERAGE_OUTPUT_FILE: Filename and path for the .info file generated
1156 #    by lcov for code coverage. (Default:
1157 #    $(PACKAGE_NAME)-$(PACKAGE_VERSION)-coverage.info)
1158 #  - CODE_COVERAGE_OUTPUT_DIRECTORY: Directory for generated code coverage
1159 #    reports to be created. (Default:
1160 #    $(PACKAGE_NAME)-$(PACKAGE_VERSION)-coverage)
1161 #  - CODE_COVERAGE_BRANCH_COVERAGE: Set to 1 to enforce branch coverage,
1162 #    set to 0 to disable it and leave empty to stay with the default.
1163 #    (Default: empty)
1164 #  - CODE_COVERAGE_LCOV_SHOPTS_DEFAULT: Extra options shared between both lcov
1165 #    instances. (Default: based on $CODE_COVERAGE_BRANCH_COVERAGE)
1166 #  - CODE_COVERAGE_LCOV_SHOPTS: Extra options to shared between both lcov
1167 #    instances. (Default: $CODE_COVERAGE_LCOV_SHOPTS_DEFAULT)
1168 #  - CODE_COVERAGE_LCOV_OPTIONS_GCOVPATH: --gcov-tool pathtogcov
1169 #  - CODE_COVERAGE_LCOV_OPTIONS_DEFAULT: Extra options to pass to the
1170 #    collecting lcov instance. (Default: $CODE_COVERAGE_LCOV_OPTIONS_GCOVPATH)
1171 #  - CODE_COVERAGE_LCOV_OPTIONS: Extra options to pass to the collecting lcov
1172 #    instance. (Default: $CODE_COVERAGE_LCOV_OPTIONS_DEFAULT)
1173 #  - CODE_COVERAGE_LCOV_RMOPTS_DEFAULT: Extra options to pass to the filtering
1174 #    lcov instance. (Default: empty)
1175 #  - CODE_COVERAGE_LCOV_RMOPTS: Extra options to pass to the filtering lcov
1176 #    instance. (Default: $CODE_COVERAGE_LCOV_RMOPTS_DEFAULT)
1177 #  - CODE_COVERAGE_GENHTML_OPTIONS_DEFAULT: Extra options to pass to the
1178 #    genhtml instance. (Default: based on $CODE_COVERAGE_BRANCH_COVERAGE)
1179 #  - CODE_COVERAGE_GENHTML_OPTIONS: Extra options to pass to the genhtml
1180 #    instance. (Default: $CODE_COVERAGE_GENHTML_OPTIONS_DEFAULT)
1181 #  - CODE_COVERAGE_IGNORE_PATTERN: Extra glob pattern of files to ignore
1182 #
1183 # The generated report will be titled using the $(PACKAGE_NAME) and
1184 # $(PACKAGE_VERSION). In order to add the current git hash to the title,
1185 # use the git-version-gen script, available online.
1186
1187 # Optional variables
1188 CODE_COVERAGE_DIRECTORY ?= $(top_builddir)
1189 CODE_COVERAGE_OUTPUT_FILE ?= $(PACKAGE_NAME)-$(PACKAGE_VERSION)-coverage.info
1190 CODE_COVERAGE_OUTPUT_DIRECTORY ?= $(PACKAGE_NAME)-$(PACKAGE_VERSION)-coverage
1191 CODE_COVERAGE_BRANCH_COVERAGE ?=
1192 CODE_COVERAGE_LCOV_SHOPTS_DEFAULT ?= $(if $(CODE_COVERAGE_BRANCH_COVERAGE),\
1193 --rc lcov_branch_coverage=$(CODE_COVERAGE_BRANCH_COVERAGE))
1194 CODE_COVERAGE_LCOV_SHOPTS ?= $(CODE_COVERAGE_LCOV_SHOPTS_DEFAULT)
1195 CODE_COVERAGE_LCOV_OPTIONS_GCOVPATH ?= --gcov-tool "$(GCOV)"
1196 CODE_COVERAGE_LCOV_OPTIONS_DEFAULT ?= $(CODE_COVERAGE_LCOV_OPTIONS_GCOVPATH)
1197 CODE_COVERAGE_LCOV_OPTIONS ?= $(CODE_COVERAGE_LCOV_OPTIONS_DEFAULT)
1198 CODE_COVERAGE_LCOV_RMOPTS_DEFAULT ?=
1199 CODE_COVERAGE_LCOV_RMOPTS ?= $(CODE_COVERAGE_LCOV_RMOPTS_DEFAULT)
1200 CODE_COVERAGE_GENHTML_OPTIONS_DEFAULT ?=\
1201 $(if $(CODE_COVERAGE_BRANCH_COVERAGE),\
1202 --rc genhtml_branch_coverage=$(CODE_COVERAGE_BRANCH_COVERAGE))
1203 CODE_COVERAGE_GENHTML_OPTIONS ?= $(CODE_COVERAGE_GENHTML_OPTIONS_DEFAULT)
1204 CODE_COVERAGE_IGNORE_PATTERN ?=
1205
1206 code_coverage_v_lcov_cap = $(code_coverage_v_lcov_cap_$(V))
1207 code_coverage_v_lcov_cap_ = $(code_coverage_v_lcov_cap_$(AM_DEFAULT_VERBOSITY))
1208 code_coverage_v_lcov_cap_0 = @echo "  LCOV   --capture"\
1209  $(CODE_COVERAGE_OUTPUT_FILE);
1210 code_coverage_v_lcov_ign = $(code_coverage_v_lcov_ign_$(V))
1211 code_coverage_v_lcov_ign_ = $(code_coverage_v_lcov_ign_$(AM_DEFAULT_VERBOSITY))
1212 code_coverage_v_lcov_ign_0 = @echo "  LCOV   --remove /tmp/*"\
1213  $(CODE_COVERAGE_IGNORE_PATTERN);
1214 code_coverage_v_genhtml = $(code_coverage_v_genhtml_$(V))
1215 code_coverage_v_genhtml_ = $(code_coverage_v_genhtml_$(AM_DEFAULT_VERBOSITY))
1216 code_coverage_v_genhtml_0 = @echo "  GEN   " $(CODE_COVERAGE_OUTPUT_DIRECTORY);
1217 code_coverage_quiet = $(code_coverage_quiet_$(V))
1218 code_coverage_quiet_ = $(code_coverage_quiet_$(AM_DEFAULT_VERBOSITY))
1219 code_coverage_quiet_0 = --quiet
1220
1221 # sanitizes the test-name: replaces with underscores: dashes and dots
1222 code_coverage_sanitize = $(subst -,_,$(subst .,_,$(1)))
1223
1224 # Use recursive makes in order to ignore errors during check
1225 check-code-coverage:
1226         @echo "Need to reconfigure with --enable-code-coverage"
1227
1228
1229 # Capture code coverage data
1230 code-coverage-capture: code-coverage-capture-hook
1231         @echo "Need to reconfigure with --enable-code-coverage"
1232
1233
1234 # Hook rule executed before code-coverage-capture, overridable by the user
1235 code-coverage-capture-hook:
1236
1237
1238
1239 GITIGNOREFILES ?=
1240 GITIGNOREFILES += $(CODE_COVERAGE_OUTPUT_FILE) $(CODE_COVERAGE_OUTPUT_DIRECTORY)
1241
1242 AM_DISTCHECK_CONFIGURE_FLAGS ?=
1243 AM_DISTCHECK_CONFIGURE_FLAGS += --disable-code-coverage
1244
1245 .PHONY: check-code-coverage code-coverage-capture code-coverage-capture-hook code-coverage-clean
1246
1247
1248 clean-local:
1249         rm -rf .tmp.*
1250
1251 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1252 # Otherwise a system limit (for SysV at least) may be exceeded.
1253 .NOEXPORT: